## org.metaabm.provider
Class MetaABMItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.metaabm.util.MetaABMAdapterFactory
              org.metaabm.provider.MetaABMItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IChildCreationExtender, org.eclipse.emf.edit.provider.IDisposable

    public class MetaABMItemProviderAdapterFactory

extends MetaABMAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IChildCreationExtender

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender
`org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor`

Field Summary
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`.
`protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager` `childCreationExtenderManager` This helps manage the child creation extenders.
`protected org.eclipse.emf.edit.provider.Disposable` `disposable` This keeps track of all the item providers created, so that they can be `disposed`.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected SAttributeArrayItemProvider` `sAttributeArrayItemProvider` This keeps track of the one adapter used for all `SAttributeArray` instances.
`protected SContinuousSpaceItemProvider` `sContinuousSpaceItemProvider` This keeps track of the one adapter used for all `SContinuousSpace` instances.
`protected SGeographyItemProvider` `sGeographyItemProvider` This keeps track of the one adapter used for all `SGeography` instances.
`protected SGridItemProvider` `sGridItemProvider` This keeps track of the one adapter used for all `SGrid` instances.
`protected SImplementationItemProvider` `sImplementationItemProvider` This keeps track of the one adapter used for all `SImplementation` instances.
`protected SNetworkItemProvider` `sNetworkItemProvider` This keeps track of the one adapter used for all `SNetwork` instances.
`protected SStateItemProvider` `sStateItemProvider` This keeps track of the one adapter used for all `SState` instances.
`protected SStateValueItemProvider` `sStateValueItemProvider` This keeps track of the one adapter used for all `SStateValue` instances.
`protected SStyleShapeItemProvider` `sStyleShapeItemProvider` This keeps track of the one adapter used for all `SStyleShape` instances.
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.
`protected SValueLayerItemProvider` `sValueLayerItemProvider` This keeps track of the one adapter used for all `SValueLayer` instances.

Fields inherited from class org.metaabm.util.MetaABMAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`MetaABMItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`protected void` `associate(org.eclipse.emf.common.notify.Adapter adapter, org.eclipse.emf.common.notify.Notifier target)` Associates an adapter with a notifier via the base implementation, then records it to ensure it will be disposed.
`org.eclipse.emf.common.notify.Adapter` `createSAgentAdapter()` This creates an adapter for a `SAgent`.
`org.eclipse.emf.common.notify.Adapter` `createSAttributeAdapter()` This creates an adapter for a `SAttribute`.
`org.eclipse.emf.common.notify.Adapter` `createSAttributeArrayAdapter()` This creates an adapter for a `SAttributeArray`.
`org.eclipse.emf.common.notify.Adapter` `createSContextAdapter()` This creates an adapter for a `SContext`.
`org.eclipse.emf.common.notify.Adapter` `createSContinuousSpaceAdapter()` This creates an adapter for a `SContinuousSpace`.
`org.eclipse.emf.common.notify.Adapter` `createSGeographyAdapter()` This creates an adapter for a `SGeography`.
`org.eclipse.emf.common.notify.Adapter` `createSGridAdapter()` This creates an adapter for a `SGrid`.
`org.eclipse.emf.common.notify.Adapter` `createSImplementationAdapter()` This creates an adapter for a `SImplementation`.
`org.eclipse.emf.common.notify.Adapter` `createSNetworkAdapter()` This creates an adapter for a `SNetwork`.
`org.eclipse.emf.common.notify.Adapter` `createSStateAdapter()` This creates an adapter for a `SState`.
`org.eclipse.emf.common.notify.Adapter` `createSStateValueAdapter()` This creates an adapter for a `SStateValue`.
`org.eclipse.emf.common.notify.Adapter` `createSStyle2DAdapter()` This creates an adapter for a `SStyle2D`.
`org.eclipse.emf.common.notify.Adapter` `createSStyle3DAdapter()` This creates an adapter for a `SStyle3D`.
`org.eclipse.emf.common.notify.Adapter` `createSStyleShapeAdapter()` This creates an adapter for a `SStyleShape`.
`org.eclipse.emf.common.notify.Adapter` `createSValueLayerAdapter()` This creates an adapter for a `SValueLayer`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender>` `getChildCreationExtenders()`
`static org.eclipse.emf.common.notify.AdapterFactory` `getGenericAdapterFactory()`
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`org.eclipse.emf.common.util.ResourceLocator` `getResourceLocator()`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.metaabm.util.MetaABMAdapterFactory

`createAdapter, createEObjectAdapter, createIActAdapter, createIAgentChildAdapter, createIArtifactAdapter, createIAttributeChildAdapter, createIIDAdapter, createIModelExtensionAdapter, createITypedAdapter, createITypedArrayAdapter, createIValueAdapter, createSActableAdapter, createSAttributedAdapter, createSImplementedAdapter, createSNamedAdapter, createSNDimensionalAdapter, createSProjectionAdapter, createSStyleAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### disposable

    protected org.eclipse.emf.edit.provider.Disposable disposable

  This keeps track of all the item providers created, so that they can be `disposed`.

### childCreationExtenderManager

    protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager childCreationExtenderManager

  This helps manage the child creation extenders.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### sAttributeArrayItemProvider

    protected SAttributeArrayItemProvider sAttributeArrayItemProvider

  This keeps track of the one adapter used for all `SAttributeArray` instances.

### sValueLayerItemProvider

    protected SValueLayerItemProvider sValueLayerItemProvider

  This keeps track of the one adapter used for all `SValueLayer` instances.

### sStyleShapeItemProvider

    protected SStyleShapeItemProvider sStyleShapeItemProvider

  This keeps track of the one adapter used for all `SStyleShape` instances.

### sImplementationItemProvider

    protected SImplementationItemProvider sImplementationItemProvider

  This keeps track of the one adapter used for all `SImplementation` instances.

### sStateItemProvider

    protected SStateItemProvider sStateItemProvider

  This keeps track of the one adapter used for all `SState` instances.

### sStateValueItemProvider

    protected SStateValueItemProvider sStateValueItemProvider

  This keeps track of the one adapter used for all `SStateValue` instances.

### sNetworkItemProvider

    protected SNetworkItemProvider sNetworkItemProvider

  This keeps track of the one adapter used for all `SNetwork` instances.

### sGridItemProvider

    protected SGridItemProvider sGridItemProvider

  This keeps track of the one adapter used for all `SGrid` instances.

### sGeographyItemProvider

    protected SGeographyItemProvider sGeographyItemProvider

  This keeps track of the one adapter used for all `SGeography` instances.

### sContinuousSpaceItemProvider

    protected SContinuousSpaceItemProvider sContinuousSpaceItemProvider

  This keeps track of the one adapter used for all `SContinuousSpace` instances.

Constructor Detail

### MetaABMItemProviderAdapterFactory

    public MetaABMItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createSContextAdapter

    public org.eclipse.emf.common.notify.Adapter createSContextAdapter()

  This creates an adapter for a `SContext`.

  Overrides:
    `createSContextAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SContext`

### createSAgentAdapter

    public org.eclipse.emf.common.notify.Adapter createSAgentAdapter()

  This creates an adapter for a `SAgent`.

  Overrides:
    `createSAgentAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SAgent`

### createSAttributeAdapter

    public org.eclipse.emf.common.notify.Adapter createSAttributeAdapter()

  This creates an adapter for a `SAttribute`.

  Overrides:
    `createSAttributeAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SAttribute`

### createSValueLayerAdapter

    public org.eclipse.emf.common.notify.Adapter createSValueLayerAdapter()

  This creates an adapter for a `SValueLayer`.

  Overrides:
    `createSValueLayerAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SValueLayer`

### createSStyle3DAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyle3DAdapter()

  This creates an adapter for a `SStyle3D`.

  Overrides:
    `createSStyle3DAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SStyle3D`

### createSStyle2DAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyle2DAdapter()

  This creates an adapter for a `SStyle2D`.

  Overrides:
    `createSStyle2DAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SStyle2D`

### createSStyleShapeAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyleShapeAdapter()

  This creates an adapter for a `SStyleShape`.

  Overrides:
    `createSStyleShapeAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SStyleShape`

### createSImplementationAdapter

    public org.eclipse.emf.common.notify.Adapter createSImplementationAdapter()

  This creates an adapter for a `SImplementation`.

  Overrides:
    `createSImplementationAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SImplementation`

### createSStateAdapter

    public org.eclipse.emf.common.notify.Adapter createSStateAdapter()

  This creates an adapter for a `SState`.

  Overrides:
    `createSStateAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SState`

### createSStateValueAdapter

    public org.eclipse.emf.common.notify.Adapter createSStateValueAdapter()

  This creates an adapter for a `SStateValue`.

  Overrides:
    `createSStateValueAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SStateValue`

### createSNetworkAdapter

    public org.eclipse.emf.common.notify.Adapter createSNetworkAdapter()

  This creates an adapter for a `SNetwork`.

  Overrides:
    `createSNetworkAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SNetwork`

### createSAttributeArrayAdapter

    public org.eclipse.emf.common.notify.Adapter createSAttributeArrayAdapter()

  This creates an adapter for a `SAttributeArray`.

  Overrides:
    `createSAttributeArrayAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SAttributeArray`

### createSGridAdapter

    public org.eclipse.emf.common.notify.Adapter createSGridAdapter()

  This creates an adapter for a `SGrid`.

  Overrides:
    `createSGridAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SGrid`

### createSGeographyAdapter

    public org.eclipse.emf.common.notify.Adapter createSGeographyAdapter()

  This creates an adapter for a `SGeography`.

  Overrides:
    `createSGeographyAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SGeography`

### createSContinuousSpaceAdapter

    public org.eclipse.emf.common.notify.Adapter createSContinuousSpaceAdapter()

  This creates an adapter for a `SContinuousSpace`.

  Overrides:
    `createSContinuousSpaceAdapter` in class `MetaABMAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SContinuousSpace`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `MetaABMAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### associate

    protected void associate(org.eclipse.emf.common.notify.Adapter adapter,
                             org.eclipse.emf.common.notify.Notifier target)

  Associates an adapter with a notifier via the base implementation, then records it to ensure it will be disposed.

  Overrides:
    `associate` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### getChildCreationExtenders

    public java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender> getChildCreationExtenders()

### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Specified by:
    `getResourceLocator` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

### getGenericAdapterFactory

    public static org.eclipse.emf.common.notify.AdapterFactory getGenericAdapterFactory()